Get HTML page
Returns the specified HTML page.
Request
POST
https://api.datalens.tech/rpc/getHtmlPage
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"entryId": "example",
"revId": "example",
"branch": "saved",
"includePermissions": true,
"includeFavorite": true
}
|
Name |
Description |
|
entryId |
Type: string ID of the HTML page to retrieve. Example: |
|
branch |
Type: string HTML page branch to retrieve. Enum: |
|
includeFavorite |
Type: boolean Whether to include the favorite status. |
|
includePermissions |
Type: boolean Whether to include HTML page permissions. |
|
revId |
Type: string ID of the HTML page revision to retrieve. Example: |
Responses
200 OK
Response
Body
application/json
{
"entryId": "example",
"scope": "artifact",
"type": "html-page",
"key": "example",
"workbookId": "example",
"collectionId": "example",
"revId": "example",
"savedId": "example",
"publishedId": "example",
"data": {},
"meta": {
"objectId": "example",
"policyVersion": 0.5
},
"annotation": {
"description": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"revUpdatedBy": "example",
"revUpdatedAt": "example",
"tenantId": "example",
"hidden": true,
"version": 1,
"public": true,
"links": {},
"isFavorite": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
}
}
|
Name |
Description |
||||||||
|
annotation |
Type: object | null Annotation of the HTML page. Example
|
||||||||
|
collectionId |
Type: string | null ID of the collection containing the HTML page. Example: |
||||||||
|
createdAt |
Type: string Date and time when the HTML page was created. Example: |
||||||||
|
createdBy |
Type: string ID of the user who created the HTML page. Example: |
||||||||
|
data |
Type: object
Versioned data of the HTML page entry. Example
|
||||||||
|
entryId |
Type: string Unique identifier of the HTML page. Example: |
||||||||
|
hidden |
Type: boolean Whether the HTML page is hidden. |
||||||||
|
key |
Type: string Key of the HTML page entry. Example: |
||||||||
|
meta |
Type: object
Metadata of the HTML page. Example
|
||||||||
|
public |
Type: boolean Whether the HTML page is public. |
||||||||
|
publishedId |
Type: string | null ID of the published HTML page revision. Example: |
||||||||
|
revId |
Type: string ID of the current HTML page revision. Example: |
||||||||
|
savedId |
Type: string ID of the saved HTML page revision. Example: |
||||||||
|
scope |
Type: string Scope of the HTML page entry. Const: Example: |
||||||||
|
tenantId |
Type: string ID of the tenant that owns the HTML page. Example: |
||||||||
|
type |
Type: string Type of the HTML page entry. Const: Example: |
||||||||
|
updatedAt |
Type: string Date and time when the HTML page was last updated. Example: |
||||||||
|
updatedBy |
Type: string ID of the user who last updated the HTML page. Example: |
||||||||
|
version |
Type: number Schema version of the HTML page. Const: |
||||||||
|
workbookId |
Type: string | null ID of the workbook containing the HTML page. Example: |
||||||||
|
isFavorite |
Type: boolean Whether the HTML page is a favorite. |
||||||||
|
links |
Type: object | null Links associated with the HTML page. Example
|
||||||||
|
permissions |
Type: object
Permissions for the HTML page. Example
|
||||||||
|
revUpdatedAt |
Type: string Date and time when the current revision was last updated. Example: |
||||||||
|
revUpdatedBy |
Type: string ID of the user who last updated the current revision. Example: |